%global __brp_check_rpaths %{nil}

Summary:	Crypto Interface Web Browser Plugin
Name:		ifcplugin
Version:	3.1.1.0
Release:	1%{?dist}

License:	Commercial
Url:		https://ds-plugin.gosuslugi.ru/plugin/upload/Index.spr
Source0:	IFCPlugin-x86_64.rpm

ExclusiveArch:	x86_64

Provides:	libengine_logger.so()(64bit)
Provides:	libwebparser.so()(64bit)

%description
Crypto Interface Web Browser Plugin.

%prep

%build

%install
pushd %{buildroot}
cat %{SOURCE0} | rpm2archive - | tar -xvz
popd

mkdir -p %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts
cp %{buildroot}%{_sysconfdir}/opt/chrome/native-messaging-hosts/ru.rtlabs.ifcplugin.json \
  %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts/

mkdir -p %{buildroot}%{_datadir}/chromium-browser/extensions
cp %{buildroot}/opt/google/chrome/extensions/pbefkdcndngodfeigfdgiodgnmbgcfha.json \
%{buildroot}%{_datadir}/chromium-browser/extensions/pbefkdcndngodfeigfdgiodgnmbgcfha.json

%files
%config %{_sysconfdir}/ifc.cfg
%dir %{_sysconfdir}/update_ccid_boundle
%{_sysconfdir}/update_ccid_boundle/*
%{_bindir}/ifc_chrome_host
%exclude /usr/lib/mozilla/native-messaging-hosts/ru.rtlabs.ifcplugin.json
%dir /usr/lib/mozilla/plugins/lib
/usr/lib/mozilla/plugins/lib/*
%dir %{_sysconfdir}/chromium/native-messaging-hosts
%{_sysconfdir}/chromium/native-messaging-hosts/ru.rtlabs.ifcplugin.json
%dir %{_datadir}/chromium-browser/extensions
%{_datadir}/chromium-browser/extensions/pbefkdcndngodfeigfdgiodgnmbgcfha.json
%dir %{_sysconfdir}/opt/chrome/native-messaging-hosts
%dir /opt/google/chrome/extensions
%{_sysconfdir}/opt/chrome/native-messaging-hosts/ru.rtlabs.ifcplugin.json
/opt/google/chrome/extensions/pbefkdcndngodfeigfdgiodgnmbgcfha.json
%dir %{_libdir}/mozilla/native-messaging-hosts
%{_libdir}/mozilla/native-messaging-hosts/ru.rtlabs.ifcplugin.json

%changelog
* Sat Nov 02 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 3.1.1.0-1
- initial build for MSVSphere

